Browse Source

github-actions: udpate min ocaml version to 4.03.0

Spiros Eliopoulos 1 year ago
parent
commit
c8a29b7d09
4 changed files with 4 additions and 4 deletions
  1. 1 1
      .github/workflows/test.yml
  2. 1 1
      faraday-lwt-unix.opam
  3. 1 1
      faraday-lwt.opam
  4. 1 1
      faraday.opam

+ 1 - 1
.github/workflows/test.yml

@@ -13,7 +13,7 @@ jobs:
         os:
           - ubuntu-latest
         ocaml-version:
-          - 4.02.0
+          - 4.03.0
 
     runs-on: ${{ matrix.os }}
 

+ 1 - 1
faraday-lwt-unix.opam

@@ -11,7 +11,7 @@ build: [
   ["dune" "runtest" "-p" name] {with-test}
 ]
 depends: [
-  "ocaml" {>= "4.02.0"}
+  "ocaml" {>= "4.03.0"}
   "dune" {>= "1.11"}
   "faraday-lwt"
   "lwt" {>= "2.7.0"}

+ 1 - 1
faraday-lwt.opam

@@ -11,7 +11,7 @@ build: [
   ["dune" "runtest" "-p" name] {with-test}
 ]
 depends: [
-  "ocaml" {>= "4.02.0"}
+  "ocaml" {>= "4.03.0"}
   "dune" {>= "1.11"}
   "faraday" {>= "0.5.0"}
   "lwt"

+ 1 - 1
faraday.opam

@@ -11,7 +11,7 @@ build: [
   ["dune" "runtest" "-p" name] {with-test}
 ]
 depends: [
-  "ocaml" {>= "4.02.0"}
+  "ocaml" {>= "4.03.0"}
   "dune" {>= "1.11"}
   "alcotest" {with-test & >= "0.4.1"}
   "bigstringaf"